Token Info
curl --request GET \
--url https://api.bebop.xyz/pmm/{chain}/v3/token-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bebop.xyz/pmm/{chain}/v3/token-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bebop.xyz/pmm/{chain}/v3/token-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": {
"CBETH": {
"availability": {
"canBuy": false,
"canSell": false,
"isAvailable": false
},
"chainId": 137,
"contractAddress": "0x4b4327dB1600B8B1440163F667e199CEf35385f5",
"decimals": 18,
"name": "Coinbase Wrapped Staked ETH",
"ticker": "CBETH"
},
"SAND": {
"availability": {
"canBuy": true,
"canSell": true,
"isAvailable": true
},
"chainId": 137,
"contractAddress": "0xBbba073C31bF03b8ACf7c28EF0738DeCF3695683",
"decimals": 18,
"name": "The Sandbox",
"priceUsd": 0.33122916548934794,
"ticker": "SAND"
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Token Info
Returns detailed metadata for all tokens available for trading on Bebop, including price, decimals, and display information. Use /tokenlist for the standard token list format.
GET
/
v3
/
token-info
Token Info
Authorizations
API key passed as a Bearer token.
Query Parameters
Return gasless tokens
Return standard or short expiry tokens
Available options:
standard, short Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I